GETDisponible

    Obtener tronco SIP

    Operación autenticada de la API de BeepCall.

    https://app.beepcall.ai/api/user/phone-numbers/sip-trunks/{id}

    Parámetros

    Authorization*headerBearer tokenClave de API de BeepCall.
    id*pathintegerIdentificador id.

    * Obligatorio

    Ejemplo de solicitud

    curl -X GET "https://app.beepcall.ai/api/user/phone-numbers/sip-trunks/1" \
      -H "Authorization: Bearer YOUR_API_KEY"

    Respuesta

    json
    {
      "data": {
        "id": 42,
        "phone_number": "1000",
        "nickname": "Provider X — Main",
        "sip_username": "myuser",
        "sip_address": "sip.provider.com",
        "sip_calling_format": "+e164",
        "inbound_authorization_type": "auth",
        "allowed_inbound_ips": null,
        "outbound_proxy": false,
        "country_code": "US",
        "inbound_trunk_id": "ST_xxxxxxxxxxxx",
        "outbound_trunk_id": "ST_yyyyyyyyyyyy",
        "created_at": "2026-03-31T10:00:00.000000Z",
        "updated_at": "2026-03-31T10:00:00.000000Z"
      }
    }

    Errores habituales

    404